package cn.teammodel.controller.admin.service;

import cn.teammodel.model.dto.admin.exam.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public interface ExamService {
    Map<String,Object> getAnalysis(OverViewDto overViewDto, HttpServletRequest request);
    Map<String,Object> getExamList(AnalysisDto analysisDto, HttpServletRequest request);
    Map<String,Object> getExamSimpleAnalysis(FindExamDto findExamDto, HttpServletRequest request);
    Map<String,Object> getExamRecord(ExamRecordDto examRecordDto, HttpServletRequest request);
    Map<String,Object> getExamByStudent(FindByStudentDto findByStudentDto, HttpServletRequest request);
}
